# $Revision: 1.37 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	autodeps	# do not BR packages, needed only
				# for resolving deps
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	XSLT
Summary:	Perl XML::XSLT module
Summary(es.UTF-8):	Modulo Perl XML::XSLT
Summary(pl.UTF-8):	Moduł Perla XML::XSLT
Summary(pt_BR.UTF-8):	Modulo Perl XML::XSLT
Name:		perl-XML-XSLT
Version:	0.48
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	44d6d9e183d5c49c5d422ae42e7a9f68
URL:		http://www.perl.com/CPAN/modules/by-module/XML/XML-XSLT-%{version}.readme
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
%if %{with tests}
BuildRequires:	perl(Test::More) >= 0.33
%endif
%if %{with tests} || %{with autodeps}
BuildRequires:	perl-libwww
BuildRequires:	perl-URI
BuildRequires:	perl-XML-DOM >= 1.25
BuildRequires:	perl-XML-Parser >= 2.23
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl Interface to XSL Transformational sheets.

%description -l es.UTF-8
Perl Interface to XSL Transformational sheets.

%description -l pl.UTF-8
Moduły perla do arkuszy konwersji XSL.

%description -l pt_BR.UTF-8
Perl Interface to XSL Transformational sheets.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* Change* MANIFEST example*
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/*
%{_mandir}/man[13]/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-XSLT.spec,v $
Revision 1.37  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:57  paladine
- formatting

Revision 1.34  2004/10/24 17:05:53  paladine
- spelling fixes, uppercases, etc.

Revision 1.33  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.32  2004/05/05 06:38:13  ankry
- cosmetics

Revision 1.31  2004/05/04 23:30:13  ankry
- kill perl-libxml-enno, license fix

Revision 1.30  2004/03/06 18:47:20  adamg
- updated to 0.48.1

Revision 1.29  2004/02/16 21:52:17  adamg
- fixed bcond description

Revision 1.28  2004/02/16 21:51:19  adamg
- updated to 0.47

Revision 1.27  2003/10/12 19:41:48  migo
- tests and autodeps bconds

Revision 1.26  2003/09/18 13:23:09  adamg
- updated to 0.45

Revision 1.25  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/03/01 22:11:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:39:19  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/07/20 07:15:30  qboosh
- completed BRs

Revision 1.18  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.17  2002/07/11 08:06:58  depesz
- new version; should work; STBR

Revision 1.16  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.14  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/13 21:51:50  kloczek
- spec adapterized.

Revision 1.12  2002/02/13 14:21:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.11  2002/02/12 01:27:49  kloczek
- release 4.

Revision 1.10  2002/02/10 15:41:13  depesz
adapterized

Revision 1.9  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.8  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.6  2001/04/30 15:04:03  baggins
- buildrequires perl-libxml-enno in place of perl-XML-DOM

Revision 1.5  2001/04/17 12:18:50  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.4  2001/03/29 08:12:13  mis
- autoupdated to 0.32

Revision 1.3  2001/02/21 22:16:40  kloczek
i- typo.

Revision 1.2  2001/02/21 22:14:31  kloczek
- completly rewrited in PLD style.

* Mon Jan 22 2001 Raul Dias <rsd@conectiva.com>
+ perl-XML-XSLT-0.30-2cl
- first build
